package org.springblade.modules.csjcInfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.csjcInfo.entity.CsjcInfoEntity;
import org.springblade.modules.csjcInfo.excel.CsjcInfoExcel;
import org.springblade.modules.csjcInfo.vo.CsjcInfoVO;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 场所检查 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-21
 */
public interface CsjcInfoMapper extends BaseMapper<CsjcInfoEntity> {

	List<CsjcInfoVO> selectInfoPage(IPage page, @Param("params") Map<String, Object> params, String str, String strEnd);

	List<CsjcInfoExcel> exportInfo(@Param("params") Map<String, Object> params);

	List<CsjcInfoVO> getPageByCsId(IPage page, @Param("params") Map<String, Object> params);

	CsjcInfoVO getDetail(Long id, String dept);

	IPage<CsjcInfoVO> getQsfkList(IPage<Object> page, @Param("params") Map<String, Object> params);

	IPage<CsjcInfoVO> getZgList(IPage<Object> page, @Param("params") Map<String, Object> params);

	Long getSqId(String id);

	CsjcInfoEntity getPublicCsjcInfo(Long id);
	List<CsjcInfoEntity> getPublicCsjcList(Long csId);

    List<String> getJidu();

    void updateCreateTime(@Param("id") Long id, @Param("day") Date day);
}
